// package camickr;
// ------------------- UIDefaultsPopup.java -----------------------------

// package com.woven_media.gui.menu;
/***********************************************************************
Copyright (C) 2008, Brent Allen Parrish <info@woven-media.com>

Provides a copy/paste popup menu for Camickr's ShowUIDefaults.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
************************************************************************/

import javax.swing.JFrame;
import javax.swing.JTextField;

// import com.woven_media.gui.menu.CutNPastePopup;

/**
 * Provides an implementation-specific popup menu with copy/paste
 * support for Camickr's ShowUIDefaults LAF viewer.
 *
 * @author Brent Allen Parrish
 */
public class UIDefaultsPopup extends CutNPastePopup
{
    /**
     * Class constructor builds popup menu with disabled
     * cut option for camicker's <code>ShowUIDefaults</code> app.
     *
     * @param f   <code>javax.swing.JFrame</code> reference to this parent window.
     * @param txt <code>javax.swing.JTextField</code> reference to the simple
     *            table cell editor.
     */
    public UIDefaultsPopup(JFrame f, JTextField txt)
    {
        super(f, txt);
    }

    /**
     * Overrides parent method and disables cut action - not needed
     * for this application.
     */
    protected void buildMenu()
    {
       super.buildMenu();
       menuItems[0].setEnabled(false); // cut disabled
    }
}
